<?
 /*SCRIPT PARA ALMACENAR PREGUNTAS EN EL BANCO DE PREGUNTAS*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","frm_login.php");
  }

switch ($tipo_trn){
case "Add":
$id_un=dec($idu);
$sql="insert into
      bp_preguntas
      set unidad='$id_un',
      pregunta='$txtpregunta'";

$insp=mysql_query($sql);
$id_pr=mysql_insert_id();

for($i=1;$i<=5;$i++){
 if($txtopcion[$i]!=""){
  if($txtcorrecta==$i){
   $corr="S";
  }else{
   $corr="N";
  }

  $sqlop="insert into
          bp_opciones
          set pregunta='$id_pr',
          correcta='$corr',
          respuesta='{$txtopcion[$i]}'";
  $insop=mysql_query($sqlop);
 } // fin comparacion si la opción esta vacía
}// fin del ciclo

if($insp and $insop){
  alert("Pregunta agregada con éxito","frm_bp_preguntas.php?idu=$idu&gid=$gid&cid=$cid");
}else{
  alert("Error, por favor intente de nuevo","javascript:history.go(-1)");
}
break; // fin de Add

case "Update":
if(!$idu){
 alert("Parámetros incorrectos","javascript:history.go(-1)");
}
$id_un=dec($idu);
$sql="update
      bp_unidades
      set curso='$txtcurso',
      nombre='$txtnombre',
      bibliografia='$txtbibliografia'
      where id = $id_un";
if($upd=mysql_query($sql)){
 alert("Unidad actualizada con éxito","frm_bp_lst_unidad.php?gid=$gid&cid=$cid");
}else{
 alert("Error, por favor intente de nuevo","javascript:history.go(-1)");
}
break;  // fin de update

case "Delete":
if(!$idu){
 alert("Parámetros incorrectos","javascript:history.go(-1)");
}

if($confirm=="ok"){
  $id_un=dec($idu);
  $del=mysql_query("delete from bp_unidades where id = $id_un");
  // hacer que elimine las preguntas de la unidad
}else{
 echo "ESTA SEGURO DE ELIMINAR LA SECCION Y TODAS SUS PREGUNTAS?";
 echo "<a href='$PHP_SELF?confirm=ok'>SI</a> <quote> <a href='javascript:history.go(-1)'>NO</a>";
}
break;

}

?>